Skip to content

Transfer Deal

POST
/api/superadmin/deals/{deal_id}/transfer
curl --request POST \
--url https://example.com/api/superadmin/deals/example/transfer \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "new_owner_id": "example" }'

Transfer deal ownership to a different user.

deal_id
required
Deal Id
string
Media type application/json
TransferDealRequest
object
new_owner_id
required
New Owner Id
string
Example generated
{
"new_owner_id": "example"
}

Successful Response

Media type application/json
TransferDealResponse
object
deal_id
required
Deal Id
string
new_owner_id
required
New Owner Id
string
new_owner_name
required
New Owner Name
string
Example generated
{
"deal_id": "example",
"new_owner_id": "example",
"new_owner_name": "example"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}